<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><meta charset="utf-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><title>List referendum data from sudd.ch — list_sudd_rfrnds • rdb</title><script src="../lightswitch.js"></script><script src="../deps/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><link href="../deps/bootstrap-5.3.1/bootstrap.min.css" rel="stylesheet"><script src="../deps/bootstrap-5.3.1/bootstrap.bundle.min.js"></script><link href="../deps/font-awesome-6.5.2/css/all.min.css" rel="stylesheet"><link href="../deps/font-awesome-6.5.2/css/v4-shims.min.css" rel="stylesheet"><script src="../deps/headroom-0.11.0/headroom.min.js"></script><script src="../deps/headroom-0.11.0/jQuery.headroom.min.js"></script><script src="../deps/bootstrap-toc-1.0.1/bootstrap-toc.min.js"></script><script src="../deps/clipboard.js-2.0.11/clipboard.min.js"></script><script src="../deps/search-1.0.0/autocomplete.jquery.min.js"></script><script src="../deps/search-1.0.0/fuse.min.js"></script><script src="../deps/search-1.0.0/mark.min.js"></script><!-- pkgdown --><script src="../pkgdown.js"></script><meta property="og:title" content="List referendum data from sudd.ch — list_sudd_rfrnds"><meta name="description" content="Lists the referendum data from sudd.ch in various ways its list.php endpoint allows. The output of this
function can be directly fed to sudd_rfrnds()."><meta property="og:description" content="Lists the referendum data from sudd.ch in various ways its list.php endpoint allows. The output of this
function can be directly fed to sudd_rfrnds()."><meta name="twitter:card" content="summary"><meta name="twitter:creator" content="@2BSalim"><meta name="twitter:site" content="@2BSalim"><meta name="robots" content="noindex"><script src="https://rpkg.dev/counter-dev.min.js" data-id="4c4963fe-9fcf-4d81-95bb-2135e114b85b" data-utcoffset="1"></script></head><body>
    <a href="#main" class="visually-hidden-focusable">Skip to contents</a>


    <nav class="navbar navbar-expand-lg fixed-top " aria-label="Site navigation"><div class="container">

    <a class="navbar-brand me-2" href="../index.html">rdb</a>

    <small class="nav-text text-danger me-auto" data-bs-toggle="tooltip" data-bs-placement="bottom" title="In-development version">0.0.9046</small>


    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div id="navbar" class="collapse navbar-collapse ms-3">
      <ul class="navbar-nav me-auto"><li class="nav-item"><a class="nav-link" href="../articles/rdb.html">Get started</a></li>
<li class="active nav-item"><a class="nav-link" href="../reference/index.html">Reference</a></li>
<li class="nav-item"><a class="nav-link" href="../articles/codebook.html">RDB codebook</a></li>
      </ul><ul class="navbar-nav"><li class="nav-item"><form class="form-inline" role="search">
 <input class="form-control" type="search" name="search-input" id="search-input" autocomplete="off" aria-label="Search site" placeholder="Search for" data-search-index="../search.json"></form></li>
<li class="nav-item"><a class="external-link nav-link" href="https://gitlab.com/zdaarau/rpkgs/rdb/" aria-label="GitLab"><span class="fa fab fa-gitlab fa-lg"></span></a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-lightswitch" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true" aria-label="Light switch"><span class="fa fa-sun"></span></button>
  <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="dropdown-lightswitch"><li><button class="dropdown-item" data-bs-theme-value="light"><span class="fa fa-sun"></span> Light</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="dark"><span class="fa fa-moon"></span> Dark</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="auto"><span class="fa fa-adjust"></span> Auto</button></li>
  </ul></li>
      </ul></div>


  </div>
</nav><div class="container template-reference-topic">
<div class="row">
  <main id="main" class="col-md-9"><div class="page-header">

      <h1>List referendum data from <a href="https://sudd.ch/" class="external-link">sudd.ch</a></h1>
      <small class="dont-index">Source: <a href="https://gitlab.com/zdaarau/rpkgs/rdb/blob/HEAD/R/rdb.gen.R" class="external-link"><code>R/rdb.gen.R</code></a></small>
      <div class="d-none name"><code>list_sudd_rfrnds.Rd</code></div>
    </div>

    <div class="ref-description section level2">
    <p>Lists the referendum data from <a href="https://sudd.ch/" class="external-link">sudd.ch</a> in various ways its <a href="https://sudd.ch/list.php" class="external-link"><code>list.php</code></a> endpoint allows. The output of this
function can be directly fed to <code><a href="sudd_rfrnds.html">sudd_rfrnds()</a></code>.</p>
    </div>

    <div class="section level2">
    <h2 id="ref-usage">Usage<a class="anchor" aria-label="anchor" href="#ref-usage"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span><span class="fu">list_sudd_rfrnds</span><span class="op">(</span></span>
<span>  mode <span class="op">=</span> <span class="fu"><a href="https://rdrr.io/r/base/c.html" class="external-link">c</a></span><span class="op">(</span><span class="st">"by_date"</span>, <span class="st">"by_mod_date"</span>, <span class="st">"filter"</span>, <span class="st">"random"</span><span class="op">)</span>,</span>
<span>  order <span class="op">=</span> <span class="fu"><a href="https://rdrr.io/r/base/c.html" class="external-link">c</a></span><span class="op">(</span><span class="st">"ascending"</span>, <span class="st">"descending"</span><span class="op">)</span>,</span>
<span>  filter <span class="op">=</span> <span class="fu"><a href="https://rdrr.io/r/base/list.html" class="external-link">list</a></span><span class="op">(</span>territory_name_de <span class="op">=</span> <span class="cn">NULL</span>, title_de <span class="op">=</span> <span class="cn">NULL</span>, year_min <span class="op">=</span> <span class="cn">NULL</span>, year_max <span class="op">=</span></span>
<span>    <span class="cn">NULL</span><span class="op">)</span>,</span>
<span>  use_cache <span class="op">=</span> <span class="cn">TRUE</span>,</span>
<span>  max_cache_age <span class="op">=</span> <span class="st">"1 week"</span>,</span>
<span>  quiet <span class="op">=</span> <span class="cn">FALSE</span></span>
<span><span class="op">)</span></span></code></pre></div>
    </div>

    <div class="section level2">
    <h2 id="arguments">Arguments<a class="anchor" aria-label="anchor" href="#arguments"></a></h2>


<dl><dt id="arg-mode">mode<a class="anchor" aria-label="anchor" href="#arg-mode"></a></dt>
<dd><p>The listing mode. One of</p><ul><li><p><code>"by_date"</code>: Lists <a href="https://sudd.ch/list.php?mode=allrefs" class="external-link">all referendums in the sudd.ch database <strong>by <code>date</code></strong></a>, together with their <code>id_sudd</code>,
<code>country_code</code>, <code>territory_name_de</code> and <code>title_de</code>. Specifying the sorting order of the results via the <code>order</code> parameter is supported.</p></li>
<li><p><code>"by_mod_date"</code>: Lists <a href="https://sudd.ch/list.php?mode=moddate" class="external-link">all referendums in the sudd.ch database <strong>by <code>date_last_edited</code></strong></a>, together with their
<code>id_sudd</code>, <code>country_code</code>, <code>territory_name_de</code>, <code>date</code> and <code>title_de</code>.</p></li>
<li><p><code>"filter"</code>: Allows to provide additional arguments (via the <code>filter</code> parameter) that limit the results accordingly. Specifying the sorting order of the
results via the <code>order</code> parameter is supported.</p></li>
<li><p><code>"random"</code>: Lists the <code>id_sudd</code> of five randomly selected referendums, together with their <code>country_code</code>.</p></li>
</ul></dd>


<dt id="arg-order">order<a class="anchor" aria-label="anchor" href="#arg-order"></a></dt>
<dd><p>The sorting order of the results. Only relevant if <code>mode</code> is either <code>"by_date"</code> or <code>"filter"</code>.</p></dd>


<dt id="arg-filter">filter<a class="anchor" aria-label="anchor" href="#arg-filter"></a></dt>
<dd><p>A list with valid filtering arguments. Only relevant if <code>mode = "filter"</code>. The supported filtering arguments include</p><ul><li><p><code>territory_name_de</code>: A string that must be (partially) matched by the referendums' <code>territory_name_de</code>. Matching is case-insensitive and no <a href="https://en.wikipedia.org/wiki/Approximate_string_matching" class="external-link">fuzzy matching</a> is supported.</p></li>
<li><p><code>title_de</code>: A string that must be (partially) matched by the referendums' <code>title_de</code>. Matching is case-insensitive and no <a href="https://en.wikipedia.org/wiki/Approximate_string_matching" class="external-link">fuzzy matching</a> is supported.</p></li>
<li><p><code>year_min</code>: The lower year limit of the referendums' <code>date</code>. A positive integer.</p></li>
<li><p><code>year_max</code>: The upper year limit of the referendums' <code>date</code>. A positive integer.</p></li>
</ul></dd>


<dt id="arg-use-cache">use_cache<a class="anchor" aria-label="anchor" href="#arg-use-cache"></a></dt>
<dd><p>Whether or not to return cached results if possible. If <code>FALSE</code>, results are always newly fetched regardless of <code>max_cache_age</code>.</p></dd>


<dt id="arg-max-cache-age">max_cache_age<a class="anchor" aria-label="anchor" href="#arg-max-cache-age"></a></dt>
<dd><p>Duration after which cached results are refreshed (i.e. newly fetched). A valid <a href="https://lubridate.tidyverse.org/reference/as.duration.html" class="external-link">lubridate duration</a>. Use <code>Inf</code> to disable cache expiry. Only relevant if <code>use_cache = TRUE</code>.</p></dd>


<dt id="arg-quiet">quiet<a class="anchor" aria-label="anchor" href="#arg-quiet"></a></dt>
<dd><p>Whether or not to suppress printing status output from internal processing.</p></dd>

</dl></div>
    <div class="section level2">
    <h2 id="value">Value<a class="anchor" aria-label="anchor" href="#value"></a></h2>
    <p>A <a href="https://tibble.tidyverse.org/reference/tbl_df-class.html" class="external-link">tibble</a> containing at least an <code>id_sudd</code> column.</p>
    </div>
    <div class="section level2">
    <h2 id="about-sudd-ch">About <a href="https://sudd.ch/" class="external-link">sudd.ch</a><a class="anchor" aria-label="anchor" href="#about-sudd-ch"></a></h2>
    <p><strong>sudd</strong> stands for <em><strong>Su</strong>chmaschine für <strong>d</strong>irekte <strong>D</strong>emokratie</em> (German) and is operated by <a href="mailto:beat@sudd.ch">Beat Müller</a>. Its database content is
licensed under <a href="https://creativecommons.org/licenses/by-nc-sa/4.0/" class="external-link">Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International (CC BY-NC-SA 4.0)</a>.</p>
    </div>
    <div class="section level2">
    <h2 id="see-also">See also<a class="anchor" aria-label="anchor" href="#see-also"></a></h2>
    <div class="dont-index"><p>Other sudd.ch scraping functions:
<code><a href="list_sudd_territories.html">list_sudd_territories</a>()</code>,
<code><a href="list_sudd_titles.html">list_sudd_titles</a>()</code>,
<code><a href="sudd_rfrnds.html">sudd_rfrnds</a>()</code></p></div>
    </div>

    <div class="section level2">
    <h2 id="ref-examples">Examples<a class="anchor" aria-label="anchor" href="#ref-examples"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span class="r-in"><span><span class="co"># list all referendums by modification date (takes a while)</span></span></span>
<span class="r-in"><span><span class="kw">if</span> <span class="op">(</span><span class="cn">FALSE</span><span class="op">)</span> <span class="op">{</span> <span class="co"># \dontrun{</span></span></span>
<span class="r-in"><span><span class="fu">rdb</span><span class="fu">::</span><span class="fu">list_sudd_rfrnds</span><span class="op">(</span>mode <span class="op">=</span> <span class="st">"by_mod_date"</span><span class="op">)</span><span class="op">}</span> <span class="co"># }</span></span></span>
<span class="r-in"><span></span></span>
<span class="r-in"><span><span class="co"># list all referendums whose title matches "AHV"</span></span></span>
<span class="r-in"><span><span class="fu">rdb</span><span class="fu">::</span><span class="fu">list_sudd_rfrnds</span><span class="op">(</span>mode <span class="op">=</span> <span class="st">"filter"</span>,</span></span>
<span class="r-in"><span>                      filter <span class="op">=</span> <span class="fu"><a href="https://rdrr.io/r/base/list.html" class="external-link">list</a></span><span class="op">(</span>title_de <span class="op">=</span> <span class="st">"AHV"</span><span class="op">)</span>,</span></span>
<span class="r-in"><span>                      quiet <span class="op">=</span> <span class="cn">TRUE</span><span class="op">)</span></span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;"># A tibble: 18 × 11</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span>    id_sudd  country_code country_name is_former_country subnational_entity_code territory_name_de date        year month   day title_de                         </span>
<span class="r-out co"><span class="r-pr">#&gt;</span>    <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>    <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>        <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>        <span style="color: #949494; font-style: italic;">&lt;lgl&gt;</span>             <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>                   <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>             <span style="color: #949494; font-style: italic;">&lt;date&gt;</span>     <span style="color: #949494; font-style: italic;">&lt;int&gt;</span> <span style="color: #949494; font-style: italic;">&lt;int&gt;</span> <span style="color: #949494; font-style: italic;">&lt;int&gt;</span> <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>                            </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 1</span> ch021978 CH           Switzerland  FALSE             <span style="color: #BB0000;">NA</span>                      Schweiz           1978-02-26  <span style="text-decoration: underline;">1</span>978     2    26 Alters- und Hinterlassenenversic…</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 2</span> ch031978 CH           Switzerland  FALSE             <span style="color: #BB0000;">NA</span>                      Schweiz           1978-02-26  <span style="text-decoration: underline;">1</span>978     2    26 Herabsetzung des AHV-Alters      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 3</span> ch021988 CH           Switzerland  FALSE             <span style="color: #BB0000;">NA</span>                      Schweiz           1988-06-12  <span style="text-decoration: underline;">1</span>988     6    12 Herabsetzung des AHV-Rentenalter…</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 4</span> ch051995 CH           Switzerland  FALSE             <span style="color: #BB0000;">NA</span>                      Schweiz           1995-06-25  <span style="text-decoration: underline;">1</span>995     6    25 Alters- und Hinterlassenenversic…</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 5</span> ch061995 CH           Switzerland  FALSE             <span style="color: #BB0000;">NA</span>                      Schweiz           1995-06-25  <span style="text-decoration: underline;">1</span>995     6    25 Ausbau von AHV und IV            </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 6</span> ch061998 CH           Switzerland  FALSE             <span style="color: #BB0000;">NA</span>                      Schweiz           1998-09-27  <span style="text-decoration: underline;">1</span>998     9    27 10. AHV-Revision ohne Erhöhung d…</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 7</span> ch082001 CH           Switzerland  FALSE             <span style="color: #BB0000;">NA</span>                      Schweiz           2001-12-02  <span style="text-decoration: underline;">2</span>001    12     2 Sicherung der AHV durch Besteuer…</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 8</span> ch052002 CH           Switzerland  FALSE             <span style="color: #BB0000;">NA</span>                      Schweiz           2002-09-22  <span style="text-decoration: underline;">2</span>002     9    22 Überschüssige Goldreserven in de…</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 9</span> ch042004 CH           Switzerland  FALSE             <span style="color: #BB0000;">NA</span>                      Schweiz           2004-05-16  <span style="text-decoration: underline;">2</span>004     5    16 Alters- und Hinterlassenenversic…</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;">10</span> ch052004 CH           Switzerland  FALSE             <span style="color: #BB0000;">NA</span>                      Schweiz           2004-05-16  <span style="text-decoration: underline;">2</span>004     5    16 Finanzierung der AHV/IV durch An…</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;">11</span> ch022006 CH           Switzerland  FALSE             <span style="color: #BB0000;">NA</span>                      Schweiz           2006-09-24  <span style="text-decoration: underline;">2</span>006     9    24 Nationalbankgewinne für die AHV  </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;">12</span> ch072008 CH           Switzerland  FALSE             <span style="color: #BB0000;">NA</span>                      Schweiz           2008-11-30  <span style="text-decoration: underline;">2</span>008    11    30 Flexibles AHV-Alter              </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;">13</span> ch112016 CH           Switzerland  FALSE             <span style="color: #BB0000;">NA</span>                      Schweiz           2016-09-25  <span style="text-decoration: underline;">2</span>016     9    25 Höhere AHV-Renten (AHV plus)     </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;">14</span> ch062017 CH           Switzerland  FALSE             <span style="color: #BB0000;">NA</span>                      Schweiz           2017-09-24  <span style="text-decoration: underline;">2</span>017     9    24 Zusatzfinanzierung der AHV durch…</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;">15</span> ch022019 CH           Switzerland  FALSE             <span style="color: #BB0000;">NA</span>                      Schweiz           2019-05-19  <span style="text-decoration: underline;">2</span>019     5    19 Steuerreform und AHV-Finanzierung</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;">16</span> ch092022 CH           Switzerland  FALSE             <span style="color: #BB0000;">NA</span>                      Schweiz           2022-09-25  <span style="text-decoration: underline;">2</span>022     9    25 Zusatzfinanzierung der AHV durch…</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;">17</span> ch102022 CH           Switzerland  FALSE             <span style="color: #BB0000;">NA</span>                      Schweiz           2022-09-25  <span style="text-decoration: underline;">2</span>022     9    25 AHV-Gesetz (AHV 21)              </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;">18</span> ch012024 CH           Switzerland  FALSE             <span style="color: #BB0000;">NA</span>                      Schweiz           2024-03-03  <span style="text-decoration: underline;">2</span>024     3     3 Besseres Leben im Alter (13. AHV…</span>
<span class="r-in"><span></span></span>
<span class="r-in"><span><span class="co"># get sudd.ch referendum data from all referendums from 2020 onwards</span></span></span>
<span class="r-in"><span><span class="fu">rdb</span><span class="fu">::</span><span class="fu">list_sudd_rfrnds</span><span class="op">(</span>mode <span class="op">=</span> <span class="st">"filter"</span>,</span></span>
<span class="r-in"><span>                      filter <span class="op">=</span> <span class="fu"><a href="https://rdrr.io/r/base/list.html" class="external-link">list</a></span><span class="op">(</span>year_min <span class="op">=</span> <span class="fl">2020</span><span class="op">)</span>,</span></span>
<span class="r-in"><span>                      quiet <span class="op">=</span> <span class="cn">TRUE</span><span class="op">)</span> <span class="op">|&gt;</span></span></span>
<span class="r-in"><span>  <span class="fu">rdb</span><span class="fu">::</span><span class="fu"><a href="sudd_rfrnds.html">sudd_rfrnds</a></span><span class="op">(</span>quiet <span class="op">=</span> <span class="cn">TRUE</span><span class="op">)</span></span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;"># A tibble: 58 × 37</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span>    id_sudd  country_code country_name       is_former_country subnational_entity_code territory_name_de territory_type_de  date        year month   day title_de</span>
<span class="r-out co"><span class="r-pr">#&gt;</span>    <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>    <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>        <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>              <span style="color: #949494; font-style: italic;">&lt;lgl&gt;</span>             <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>                   <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>             <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>              <span style="color: #949494; font-style: italic;">&lt;date&gt;</span>     <span style="color: #949494; font-style: italic;">&lt;int&gt;</span> <span style="color: #949494; font-style: italic;">&lt;int&gt;</span> <span style="color: #949494; font-style: italic;">&lt;int&gt;</span> <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>   </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 1</span> ch012020 CH           Switzerland        FALSE             <span style="color: #BB0000;">NA</span>                      Schweiz           unabhängiger Staat 2020-02-09  <span style="text-decoration: underline;">2</span>020     2     9 Mehr be…</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 2</span> ch022020 CH           Switzerland        FALSE             <span style="color: #BB0000;">NA</span>                      Schweiz           unabhängiger Staat 2020-02-09  <span style="text-decoration: underline;">2</span>020     2     9 Strafge…</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 3</span> fr012020 FR           France             FALSE             <span style="color: #BB0000;">NA</span>                      Frankreich        unabhängiger Staat 2020-03-15  <span style="text-decoration: underline;">2</span>020     3    15 Rückzug…</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 4</span> gn012020 GN           Guinea             FALSE             <span style="color: #BB0000;">NA</span>                      Guinea            unabhängiger Staat 2020-03-22  <span style="text-decoration: underline;">2</span>020     3    22 Verfass…</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 5</span> pw012020 PW           Palau              FALSE             <span style="color: #BB0000;">NA</span>                      Palau             unabhängiger Staat 2020-05-01  <span style="text-decoration: underline;">2</span>020     5     1 Festleg…</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 6</span> ru012020 RU           Russian Federation FALSE             <span style="color: #BB0000;">NA</span>                      Russland          unabhängiger Staat 2020-07-01  <span style="text-decoration: underline;">2</span>020     7     1 Verfass…</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 7</span> ru022020 RU           Russian Federation FALSE             <span style="color: #BB0000;">NA</span>                      Russland          unabhängiger Staat 2020-07-01  <span style="text-decoration: underline;">2</span>020     7     1 Staatsb…</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 8</span> ru032020 RU           Russian Federation FALSE             <span style="color: #BB0000;">NA</span>                      Russland          unabhängiger Staat 2020-07-01  <span style="text-decoration: underline;">2</span>020     7     1 Bodensc…</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;"> 9</span> ru042020 RU           Russian Federation FALSE             <span style="color: #BB0000;">NA</span>                      Russland          unabhängiger Staat 2020-07-01  <span style="text-decoration: underline;">2</span>020     7     1 Tiefere…</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;">10</span> ru052020 RU           Russian Federation FALSE             <span style="color: #BB0000;">NA</span>                      Russland          unabhängiger Staat 2020-07-01  <span style="text-decoration: underline;">2</span>020     7     1 Indexie…</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;"># ℹ 48 more rows</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;"># ℹ 25 more variables: question_type_de &lt;chr&gt;, result_de &lt;chr&gt;, result_status_de &lt;chr&gt;, adoption_requirements_de &lt;list&gt;, electorate_total &lt;int&gt;,</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;">#   electorate_abroad &lt;int&gt;, polling_cards &lt;int&gt;, votes_total &lt;int&gt;, votes_empty &lt;int&gt;, votes_void &lt;int&gt;, votes_invalid &lt;int&gt;, votes_valid &lt;int&gt;,</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;">#   votes_yes &lt;int&gt;, votes_no &lt;int&gt;, votes_option_1 &lt;int&gt;, votes_option_2 &lt;int&gt;, votes_option_3 &lt;int&gt;, subterritories &lt;dbl&gt;, subterritories_yes &lt;dbl&gt;,</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;">#   subterritories_no &lt;dbl&gt;, files &lt;list&gt;, remarks &lt;list&gt;, sources &lt;list&gt;, ids_sudd_simultaneous &lt;list&gt;, date_last_edited &lt;date&gt;</span></span>
<span class="r-in"><span></span></span>
<span class="r-in"><span><span class="co"># get sudd.ch referendum data from five randomly picked referendums</span></span></span>
<span class="r-in"><span><span class="fu">rdb</span><span class="fu">::</span><span class="fu">list_sudd_rfrnds</span><span class="op">(</span>mode <span class="op">=</span> <span class="st">"random"</span>,</span></span>
<span class="r-in"><span>                      quiet <span class="op">=</span> <span class="cn">TRUE</span><span class="op">)</span> <span class="op">|&gt;</span></span></span>
<span class="r-in"><span>  <span class="fu">rdb</span><span class="fu">::</span><span class="fu"><a href="sudd_rfrnds.html">sudd_rfrnds</a></span><span class="op">(</span>quiet <span class="op">=</span> <span class="cn">TRUE</span><span class="op">)</span></span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;"># A tibble: 5 × 33</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span>   id_sudd  country_code country_name     is_former_country subnational_entity_code territory_name_de territory_type_de  date        year month   day title_de   </span>
<span class="r-out co"><span class="r-pr">#&gt;</span>   <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>    <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>        <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>            <span style="color: #949494; font-style: italic;">&lt;lgl&gt;</span>             <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>                   <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>             <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>              <span style="color: #949494; font-style: italic;">&lt;date&gt;</span>     <span style="color: #949494; font-style: italic;">&lt;int&gt;</span> <span style="color: #949494; font-style: italic;">&lt;int&gt;</span> <span style="color: #949494; font-style: italic;">&lt;int&gt;</span> <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;">1</span> ph031973 PH           Philippines      FALSE             <span style="color: #BB0000;">NA</span>                      Philippinen       unabhängiger Staat 1973-01-15  <span style="text-decoration: underline;">1</span>973     1    15 Abhaltung …</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;">2</span> mh071995 MH           Marshall Islands FALSE             <span style="color: #BB0000;">NA</span>                      Marshall-Inseln   unabhängiger Staat 1995-04-17  <span style="text-decoration: underline;">1</span>995     4    17 Verfassung…</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;">3</span> pw022008 PW           Palau            FALSE             <span style="color: #BB0000;">NA</span>                      Palau             unabhängiger Staat 2008-11-04  <span style="text-decoration: underline;">2</span>008    11     4 Getrennte …</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;">4</span> ch012010 CH           Switzerland      FALSE             <span style="color: #BB0000;">NA</span>                      Schweiz           unabhängiger Staat 2010-03-07  <span style="text-decoration: underline;">2</span>010     3     7 Forschung …</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;">5</span> ch012024 CH           Switzerland      FALSE             <span style="color: #BB0000;">NA</span>                      Schweiz           unabhängiger Staat 2024-03-03  <span style="text-decoration: underline;">2</span>024     3     3 Besseres L…</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;"># ℹ 21 more variables: question_type_de &lt;chr&gt;, result_de &lt;chr&gt;, result_status_de &lt;chr&gt;, adoption_requirements_de &lt;list&gt;, electorate_total &lt;int&gt;,</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;">#   electorate_abroad &lt;int&gt;, votes_total &lt;int&gt;, votes_empty &lt;int&gt;, votes_void &lt;int&gt;, votes_invalid &lt;int&gt;, votes_valid &lt;int&gt;, votes_yes &lt;int&gt;, votes_no &lt;int&gt;,</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;">#   votes_option_1 &lt;int&gt;, subterritories &lt;dbl&gt;, subterritories_yes &lt;dbl&gt;, subterritories_no &lt;dbl&gt;, remarks &lt;list&gt;, sources &lt;list&gt;,</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;">#   ids_sudd_simultaneous &lt;list&gt;, date_last_edited &lt;date&gt;</span></span>
</code></pre></div>
    </div>
  </main><aside class="col-md-3"><nav id="toc" aria-label="Table of contents"><h2>On this page</h2>
    </nav></aside></div>


    <footer><div class="pkgdown-footer-left">
  <p>Developed by Salim Brüggemann, Uwe Serdült.</p>
</div>

<div class="pkgdown-footer-right">
  <p>Site built with <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a> 2.1.1.9000.</p>
</div>

    </footer></div>





  </body></html>

